// Copyright (c) 2010 Andrew Lewis. All rights reserved.
// Use of this source code is governed the license in the LICENSE file.

#ifndef _INCLUDE_RJPEG_H_
#define _INCLUDE_RJPEG_H_

#include <stdio.h>
#include <stdarg.h>

#include "data.h"
#include "solver.h"
#include "forwardoperations.h"
#include "diagnosticinformation.h"

#define READ_BUFFER_SIZE 256

packed_image_data load_rgb_ppm(const char* file_name);
void write_grey_ppm(char* file_name, interval_plane values);
void write_rgb_ppm(char* file_name, packed_image_data image);
void progress_output(const char* fstring, ...);

#endif
